Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.context
[Java] Class GrailsConfigUtils

    java.lang.Object
      org.codehaus.groovy.grails.web.context.GrailsConfigUtils

    public class GrailsConfigUtils

A common class where shared configurational methods can reside.

Authors:
  Graeme Rocher

Method Summary
`static void` | `configureServletContextAttributes(ServletContext servletContext, GrailsApplication application, GrailsPluginManager pluginManager, WebApplicationContext webContext)`
`static WebApplicationContext` | `configureWebApplicationContext(ServletContext servletContext, WebApplicationContext parent)`
`static GrailsRuntimeConfigurator` | `determineGrailsRuntimeConfiguratorFromServletContext(GrailsApplication application, ServletContext servletContext, ApplicationContext parent)`
`static void` | `executeGrailsBootstraps(GrailsApplication application, WebApplicationContext webContext, ServletContext servletContext)` Executes Grails bootstrap classes
`static boolean` | `isConfigTrue(GrailsApplication application, java.lang.String propertyName)` Checks if a Config parameter is true or a System property with the same name is true
`static boolean` | `isConfigTrue(java.lang.Object application, java.lang.String propertyName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### configureServletContextAttributes

    public static void configureServletContextAttributes(ServletContext servletContext, GrailsApplication application, GrailsPluginManager pluginManager, WebApplicationContext webContext)

### configureWebApplicationContext

    public static WebApplicationContext configureWebApplicationContext(ServletContext servletContext, WebApplicationContext parent)

### determineGrailsRuntimeConfiguratorFromServletContext

    public static GrailsRuntimeConfigurator determineGrailsRuntimeConfiguratorFromServletContext(GrailsApplication application, ServletContext servletContext, ApplicationContext parent)

### executeGrailsBootstraps

    public static void executeGrailsBootstraps(GrailsApplication application, WebApplicationContext webContext, ServletContext servletContext)

  Executes Grails bootstrap classes
  Parameters:
    `application` - The Grails ApplicationContext instance
    `webContext` - The WebApplicationContext instance
    `servletContext` - The ServletContext instance

### isConfigTrue

    public static boolean isConfigTrue(GrailsApplication application, java.lang.String propertyName)

  Checks if a Config parameter is true or a System property with the same name is true
  Parameters:
    application
    propertyName
  Returns:

### isConfigTrue

    public static boolean isConfigTrue(java.lang.Object application, java.lang.String propertyName)

Groovy Documentation